/************************************************
* RelFile.H - equates needed for the relative	*
* file manager function library					*
*												*
* 900213 MCMason - originally written			*
************************************************/

typedef struct RelFileDescr *RELFILE;

#define	fOK				0	/* No error			*/
#define fBADRECNO		1	/* Record # past EOF*/
#define fSEEK			2	/* cant seek		*/
#define fOPEN			3	/* cant open		*/
#define fCLOSE			4	/* cant close		*/
#define fREAD			5	/* cant read		*/
#define fWRITE			6	/* cant write		*/
#define fEXTEND			7	/* cant change size	*/
#define fCREATE			8	/* cant create file	*/
#define fNORAM			9	/* cant allocate ram*/
#define fDELETED	    0	/* Deleted data mark*/
#define fACTIVE			1	/* Active data mark	*/
#define fFILE		   99	/* File exists		*/
#define fDIR		   98	/* Directory exists	*/
#define fDNE		   97	/* No file item exst*/
#define fBADFILE	   96	/* Corrupted file	*/
#define fBADREQ		   95	/* Bad request		*/
#define	fRELFILE	 0x1248	/* Rel. file marker */
#define fBADFILETYPE 0xffff /* Bad file marker	*/

int		rfCreate(char *n, unsigned s);
int		rfDestroy(char *n);
long	rfGetRec(RELFILE f);
int		rfDelRec(RELFILE f, long n);
int		rfRead(RELFILE f, long n, void *buf);
int		rfWrite(RELFILE f, long n, void *buf);
RELFILE	rfOpen(char *);
int		rfClose(RELFILE f);
int     rfLastError(void);
long	rfRecStat(RELFILE f, long n);

struct RelFileDescr
	{
	/* Header record of file */
	unsigned	FileType;
	unsigned	RecSize;
	long		RecsUsed;
	long		RecsFree;
	long		NextRec;
	long		LastRec;
	/* In-memory part of descriptor */
	int			File;
	};
